﻿init:

    image bg classroom = "classroom.jpg"
    image bg christmas = "christmas.jpg"
    image bg akio sleeping = "akiosleeping.jpg"
    image bg cg1 = "CGharuhum.jpg"
    image bg cg2 = "CGharuscarf.jpg"
    image bg cg3 = "CGharuhug.jpg"
    image bg cg4 = "CGharuplay.jpg"
    image bg cg5 = "CGharukiss.jpg"
    image bg cg6 = "CGharuhang.jpg"
    image bg cg7 = "CGharupic.jpg"
    image bg black = "black.jpg"
    image bg school = "school.jpg"
    image bg locker = "locker.jpg"
    image bg stage = "stage.jpg"
    image bg musicroom = "musicroom.jpg"
    image bg infirmary = "infirmary.jpg"
    image bg caf = "cafeteria.jpg"
    image bg library = "library.jpg"
    image bg hallway = "hallways.jpg"
    
    image splash = "splashscreen.jpg"
    image nami smile = "namismiling.png"
    image nami grin = "namismile.png"
    image nami wink = "namiwink.png"
    image akio sleepy = "akiosleepy.png"
    image akio grin = "akiosmile.png"
    image haruta frown = "harutafrown.png"
    image haruta happy = "harutahappy.png"
    image haruta playful = "harutaplayful.png"
    image haruta grin = "harutasmile.png"
    image haruta smile blush = "harutasmileblush.png"
    image haruta grin blush = "harutasmileblushing.png"
    image haruta talk = "harutasmiletalk.png"
    image haruta smile = "harutasmiling.png"
    image haruta wink = "harutawinking.png"
    image haruta wink talk = "harutawinksmiling.png"
    image haruta surprise = "harutasurprise.png"
    image rin grin = "rinsmile.png"
    image sol beg = "solbeg.png"
    image sol mock = "solmocking.png"
    image sol laugh = "solmockinglaugh.png"
    image sol chuckle = "solmockingsmile.png"
    image sol grin = "solsmile.png"
    image sol wink talk = "solwinking.png"
    image sol wink = "solwinksmiling.png"
    image sol smile = "solsmiling.png"
    image sol smiling = "solopensmiling.png"
    
    $ pov = DynamicCharacter("povname", color="#cc0066", what_color="#ff3399", show_two_window=True)
    $ h = Character('Haruta', color="#660099", what_color="#9900ff", show_two_window=True)
    $ r = Character('Rin', color ="#800080", what_color="#660099", show_two_window=True)
    $ s = Character('Sol', color="#ff4848", what_color="#ff3366", show_two_window=True)
    $ a = Character('Akio', color="#62d0ff", what_color="#0099ff", show_two_window=True)
    $ n = Character('Nami', color="#3923d6", what_color="#a095ee", show_two_window=True)
    $ u = Character('???', color="#ccff66", what_color="#000000", show_two_window=True)
    $ t = Character('Teacher', color="#59955c", what_color="#ff800d", show_two_window=True)
    $ g = Character('Girl', color="4a9586", what_color="74baac", show_two_window=True)
    $ i = Character('Akahi', color="4a9586", what_color="74baac", show_two_window=True)
        
label splashscreen:
    $ show_game_button = False
    show splash
    $ renpy.pause (5.0)
    return
    
label start:
    $ show_game_button = True
    play music "jinglebellsremix.mp3"
    scene bg christmas
    $ povname = renpy.input("What is your name?")
    scene bg school
    
    "This year... my school decided to do a Secret Santa to make up for the fact that they canceled our precious Christmas dance."
    "I was a bit annoyed, and just drew out a random slip of paper from the hat without checking to see who it was."

    show nami smile
    
    u "Hey %(povname)s, who did you get?"
    pov "I didn't bother to look."
    "This girl was my best friend, Nami."
    n "Why not?"
    pov "Because... the school only did this so they could save money and use it on improving the teacher lounges."
    pov "It's not fair."
    
    show nami grin

    n "Don't be like that %(povname)s, It could be fun!"
    pov "I doubt it."
    n "At least check to see who you got."
    pov "You can do it."
    "I took out my slip of paper, which I stuffed in my pocket earlier, and gave it to Nami."
    n "You don't want to look at it?"
    pov "It's probably going to be someone I don't even know anyways."
    
    show nami wink
    
    n "Hehe... You never know."
    
    show nami grin
    
    "As Nami unfolded it, I started to get curious."
    "I wonder who it is."
    n "%(povname)s..."
    pov "What...?"
    
    show nami wink
    
    n "You wouldn't believe who you have!"
    pov "Who...?"
    
    show nami smile
    
    n "I thought you didn't want to know."
    pov "Just tell me! You already said too much to not tell me..."
    
    show nami grin
    
    n "Haruta."
    pov "..."
    pov " You're kidding."
    
    hide nami grin
    
    "Haruta was my brother, Sol's best friend."
    "I never really talked with him much, mostly because whenever I saw him..."
    "I'd avoid him as much as possible."
    "Since I had a bit of a crush on him,  it was hard to act normally around him."
    "So to save myself from humiliation, I always ran away as soon as I saw him."
    "But to think I'd be his Secret Santa..."
    pov "This is just calling for trouble."
    
    show nami smile
    
    n "Do you even know what you're saying?"
    pov "What?"
    pov "Of course I do."
    
    show nami grin
    
    n "Just think about it."
    n "This situation is perfect!"
    pov "...How?"
    
    show nami wink
    
    n "Since you're his Secret Santa... surprise him with the perfect present!"
    n "Then... he'll fall for you and... you know the rest."
    
    show nami smile
    
    pov "Are you out of your mind?"
    
    hide nami smile
    
    "But just thinking of it made me a bit excited..."
    "Up 'till now, it was just a hopeless crush but..."
    "Maybe through this Secret Santa thing I can make this into something more?"
    
    show nami smile
    
    n "Not really. I mean, think about it %(povname)s."
    n "It's a totally possible thing."
    "It is... if Haruta actually knew something about me besides my name!."
    n "Don't make that face, %(povname)s! I'll help you out here."
    pov "You... think that... it could actually happen?"
    
    show nami wink
    
    n "Definitely!"
    "With Nami's words, I felt more confident about it."
    
    show nami grin
    
    n "Oh, by the way, if anyone happends to ask..."
    
    show nami smile
    
    n "Tell them I want that necklace I saw the other day as a gift."
    pov "That $200 necklace?!"
    
    show nami wink
    
    n "Yup!"
    pov "Isn't there some sort of money limit for the Secret Santa?"
    n "Hey, I never said anything about my Secret Santa asking."
    pov "But you were hinting it..."
    
    show nami smile
    
    n "Whatever."
    n "Plus, I don't think there's a money limit."
    "Then the bell rang."
    
    hide nami wink
    with dissolve 
    play music "silentnight.mp3"
    
    "Me and Nami went seperate ways to our classes."
    
    scene bg akio sleeping
     
    "I sat beside Akio, Nami's boyfriend, who was sleeping on his desk."
    
    menu:

        "Should I wake him up?"

        "Yes":
            
            $ aki = "asked"
            jump y1

        "No":
            
            $ aki = "noa"
            jump n1
            
label y1:
    
    $ renpy.block_rollback()
    pov "Hey Akio. Wake up, class is starting."
    a "Mmm... Nami...?"
    pov "No, it's %(povname)s."
        
    scene bg classroom
    show akio sleepy
    
    a "Oh... %(povname)s. Good morning."
    pov "Morning."
    a "..."
    pov "..."
    pov "So... um... whose Secret Santa are you?"
    a "Didn't check yet. You?"
    pov "Promise not to tell?"
    a "Who would I tell it to?"
    "He's got a point." 
    "Afterall, no offence to him but this guy's pretty unsocial."
    pov "Haruta."
    a "Ah... I know him."
    pov "You do?"
    "Now this was surprising news"
    a "3rd period. I sit beside him."
    pov "Oh..."
    
    hide akio sleepy
    
    "There are certain classes that student sin different grades get to study together in."
    "Akio's so lucky he has a class with Haruta."
    "I kind of wish I did too..."
    "Though all I'd be doing was probably stare at him while avoiding him."
    "I imagined being in the same class as Haruta..."
    a "%(povname)s!"
    pov "W-What?"
    
    show akio sleepy
    
    a "So do you want me to do it?"
    pov "To do what?"
    a "..."
    pov "Sorry, I zoned out."
    pov "Can you repeat what you said?"
    a "I said..."
    a "Want me to ask him?"
    pov "Ask who what?"
    
    show akio grin
    
    a "To find out what Haruta wants for Christmas?"
    pov "You'd do that for me?"
    "Wow... I never thought he was the type to offer help willingly."
    
    show akio sleepy
    
    a "No."
    "... Nevermind what I just thought."
    
    show akio grin
    
    a "But I know Nami would've wanted me to do it."
    "Sometimes I get jealous of Nami for having such an amazing boyfriend."
    "Just sometimes."
    pov "Alright, but don't let him know I was behind this."
    a "Obviously."
    pov "Thanks, akio."
    a "No problem."
    t "Akio! %(povname)s!"
    t "Stop talking."
    
    show akio sleepy
    
    pov "Yes teacher!"
    a "Okay."
    
    hide akio sleepy
    
    "Like that, Akio went back to sleep."
 
    jump lunch1
    
label n1:
    
    $ renpy.block_rollback()
    "I decided not to bother Akio because he slept really soundly."
    "He's always sleeping, it sometimes makes me wonder if there's actually a time that he's awake for more than 5 minutes."
    
    with dissolve
    scene bg classroom
    jump lunch1
    
label lunch1:
    
    "Class was pretty boring, as always."
    "I yawned so much my jaw ached, but it was finally lunchtime."
    u "%(povname)s~"
    "I turned around to see who it was."
    "My brother, Sol, was leaning on the door of my classroom, and all the girls in my class looked at him dreamily."
    
    show sol chuckle
    
    "What a poser."
    pov "What do you want?"
    
    show sol beg
    
    s "Give me your lunch money."
    pov "Why? Where's yours?"
    s "Forgot it at home."
    pov "So you bully your little sister for money?"
    s "Please?"
    "Sol has a rotten personality, but I must admit, he does know how to worm his way into your heart."
    pov "...Fine." 
    pov "But you owe me."
    
    show sol smile
    
    s "Can you do another favour for me?"
    pov "Depends."
    s "Do my homework?"
    pov "No."
    
    show sol mock
    
    s "Comon, it's not like you got anything better to do."
    pov "Why aren't you doing it?"
    
    show sol wink talk
    
    s "Because I got a date."
    pov "..."
    s "Well?"
    pov "...You so owe me more than just my lunch money."
    
    show sol smiling
    
    s "Awesome! You're the best sister in the world~"
    pov "Like I haven't heard that before..."
    
    hide sol smiling
    
    "Sol dumped a pile of paper on my desk"
    "Then left before I could say anything."
    "I looked at the pile in disbelief."
    "What kind of teacher does he have?"
    "There's like 200 sheets of paper in that pile!"
    "I groaned."
    "If I wanted to get this done... I better find a quiet place."
    
    play music "letitsnowremix.mp3"
    
    menu:

        "Where should I go?"

        "Rooftop":
           
            $ haru = "nom"
            jump rft1

        "Stay in the Classroom":
            
            $ haru = "nom"
            jump sitc1
            
        "Music Room":
            
            $ haru = "met"
            jump mr1
            
label rft1:
    
    $ renpy.block_rollback()
    "The rooftop seems like a nice place where I could get some peace and quiet so I went."
    
    scene bg black
    
    "Since it was December, it was freezing up there and the wind kept on blowing all the papers away."
    "I spent almost half my time chasing the papers that were blown away."
    "By the time I finished the homework, I couldn't feel my hands anymore."
    "The bell rang and I went to class."
    
    jump class1
    
label sitc1:
    
    $ renpy.block_rollback()
    
    "I was too lazy to go anywhere else so I just stayed in the classroom."
    "After all, it does have desks for me to write on."
    
    show nami smile
    
    n "What are you doing, %(povname)s?"
    pov "Sol's homework."
    
    show nami grin
    
    n "Oh... That sucks."
    n "Want me to help?"
    "Nami's grade suck: her average is a 15."
    pov "Okay."
    
    hide nami grin
    
    "Whatever."
    "Sol only said he wanted it to be complete, not completed correctly."
    "So when he gets back a crappy mark... you can call it my revenge."
    "Nami sat down beside me and we started working."
    pov "Where's Akio?"
    
    show nami smile
    
    n "At a meeting."
    "Right, he was vice president of the student council."
    n "So did you decide what to get Haruta yet?"
    pov "Nope..."
    "Now that I think about it, Nami didn't tell me who's Secret Santa she was."
    pov "Who did you get?"
    
    show nami grin
    
    n "I don't know... some person named Kenichi."
    n "Do you know him? ...Or her?"
    pov "Never heard of him... or her before."
    
    hide nami grin
    
    "Nami sighed and we got back to work."
    "The class bell rang and Nami got up to go to her class."
    pov "Thanks a lot, Nami."
    n "No problem! This is what friends are for right?"
    "She left while waving goodbye and I organized the papers, and put them in my backpack."
    
    jump class1

label class1:
        
    scene bg classroom
    
    "Class was a blur."
    "I had no idea what the teacher was talking about because I had other things on my mind."
    "All of a sudden, I started feeling dizzy."
    
    menu:

        "What should I do?"

        "Go to the Infirmary":
           
            jump inf1

        "Ignore It":
            
            jump ing1
        
label ing1:

    $ renpy.block_rollback()
    "I ignored it."
    "School was almost over anyways..."
    "I somehow managed to look awake so I wouldn't get in trouble"
    "But I forgot everything that happened in class."
    
    jump as1
    
label as1:
    
    scene bg locker
    
    "School was finally over, and I went to my locker to get my stuff and go home."
    "I saw Akio there."
    
    menu:

        "What should I do?"

        "Leave":
           
            jump leave

        "Talk to Him":
            
            jump tth
            
        "Ignore Him" if aki == "asked":
            
            jump ignoreakio
            
label leave:
    
    $ renpy.block_rollback()
    "We don't usually talk much outside of class when Nami's not around anyways"
    "So I just left."
    
    jump solwaiting
    
label tth:
    
    $ renpy.block_rollback()
    "I went up to Akio."
    pov "Hey."
    
    show akio sleepy
    
    a "..."
    a "You know better than to talk to me when Nami's not around."
    pov "Ya, ya. Just saying hi."
    pov "Gosh, she won't get mad about THAT."
    a "I guess not... anyways, see ya tomorrow in class."
    pov "Ya..."
    "We left in awkardness... It's always so weird to talk to him when we're not in class without Nami between us."    

    jump solwaiting
    
label ignoreakio:
    
    $ renpy.block_rollback()
    
    "I ignored Akio because... it would've been trouble if Nami found out that we were talking."
    "But to my surprise, Akio came up to me by himself."
    
    show akio grin
    
    a "Hey, %(povname)s."
    pov "Hi."
    
    show akio sleepy
    
    a "I asked Haruta."
    pov "What?"
    a "Didn't you want to know what he wanted?"
    "Oh, right."
    pov "So? What did he say?"
    a "Anything that has creativity in it or looks like a lot of thought has been put into it."
    pov "That's it?"
    "That's so general!"
    a "... And then he added that it actually didn't matter."
    pov "..."
    
    show akio grin
    
    a "Good luck with that."
    pov "...ya..."
    "I sighed and slipped on my shoes."
        
    jump solwaiting
    
label solwaiting:
    
    scene bg school 
    play music "jinglebellsremix.mp3"
    
    "When I went outside of the school building, Sol was waiting for me."
    
    show sol smiling
    
    s "Hey."
    pov "...Hi."
    
    show sol mock
    
    s "You're in a good mood today."
    pov "Shut up..."
    
    show sol beg
    
    s "Look, I know you're mad."
    "Actually, I wasn't mad. More disappointed."
    s "I'm sorry for making you do my homework."
    pov "Don't worry about it."
    
    show sol smiling
    
    s "To make it up, I'll buy you your present for Haruta."
    pov "What...? How'd you...?"
    s "Nami told me."
    "Watch what I'm gonna do to her tomorrow..."
    
    show sol beg
    
    s "Don't blame her, I forced her to tell me."
    pov "Whatever."
    "It's so scary how sometimes it seems like he could read my thoughts."
    s "Hey, who knows. I might even be able to help you."
    "I know he can, but I'm not sure if I want his help."
    s "So forget about the budget on your present, just get whatever you think he'll like."
    s "I'll pay, even if it's $200..."
    pov "Alright... thanks..."
    s "No need, you did my homework after all right?"
    pov "I guess..."
    "He sounded so happy that for a second, I thought that he might've made me do his homework on purpose so he could buy the present for me without feeling bad..."
    "But I scratched that thought, he would never do that."
    
    show sol smile
    
    s "Anything else I could help you with?"
    pov "Not really..."
    "Wait, if Sol's Haruta's best friend... maybe I could use that to my advantage."
    pov "What does Haruta like?"
    s "Hm... pretty things?"
    pov "Huh?"
    s "Like... I don't know."
    "That's very helpful."
    pov "What do you mean pretty things?"
    s "No, not pretty things... but like..."
    pov "... You don't know what he likes, do you?"
    s "No idea~"
    pov "Some help you are."
    s "You're welcome!"
    
    hide sol smile
    
    "We went home and talked about Sol's new girlfriend."
    "Which was what we always did since he changed girlfriends the rate he changes clothes."
   
    scene bg black
    
    "After sleeping a whole night, I felt much better than yesterday."
    
    scene bg musicroom
    
    "First period was music class, which I suck at."
    "I'm really tone deaf so normally, I'd lip-sync if the class was singing and fake play when the class played instruments."
    "Today's class was all about singing."
    t "Everyone, I'm assigning you a project and it will take up about 3/4 of your final grade."
    "The whole class, including me, groaned."
    t "You will be singing a song of your choice individually for evaluation."
    "Crap, I'm screwed."
    "Not only will a make myself a laughing stock, I will fail music."
    t "First though, you're song has to be approved by me."
    t "And you will sing in front of the whole school."
    "My stomach tightened."
    
    show nami smile
    
    n "%(povname)s, what song are you going to choose?"
    pov "I'm not sure, but does it matter?"
    pov "Either way, I'll suck."
    n "Don't be like that, I'm sure you can find something you'll like singing."
    "When pigs fly."
    pov "What song are you choosing?"
    
    show nami grin
    
    n "Since it's almost Christmas... I was thinking maybe a Christmas Carol?"
    pov "Oh."
    "Lucky Nami."
    "At least she can choose whatever song she wants because she can sing in tone."
    t "%(povname)s!"
    pov "Y-Yes?"
    t "What song are you planning to sing?"
    
    menu:

        "Which song should I sing?"

        "Paparazzi":
            
            $ song = "wyg"
            jump lunch2
            
        "Universe" if haru == "met":
            
            $ song = "universe" 
            jump lunch2
            
        "Jingle Bells":
            
            $ song = "jingle"
            jump lunch2
